Package com.trilead.ssh2.packets

# Class PacketSessionX11Request

java.lang.Object
com.trilead.ssh2.packets.PacketSessionX11Request

public class PacketSessionX11Request extends Object
PacketSessionX11Request.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`recipientChannelID`
`boolean`
`singleConnection`
`boolean`
`wantReply`

## Constructor Summary

Constructors
Constructor
Description
`PacketSessionX11Request(int recipientChannelID, boolean wantReply, boolean singleConnection, String x11AuthenticationProtocol, String x11AuthenticationCookie, int x11ScreenNumber)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### recipientChannelID

public int recipientChannelID

### wantReply

public boolean wantReply

### singleConnection

public boolean singleConnection

## Constructor Details

### PacketSessionX11Request

public PacketSessionX11Request(int recipientChannelID, boolean wantReply, boolean singleConnection, String x11AuthenticationProtocol, String x11AuthenticationCookie, int x11ScreenNumber)

## Method Details

### getPayload

public byte[] getPayload()